Index: /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/numerical_MacDonald.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/numerical_MacDonald.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/numerical_MacDonald.py	(revision 9174)
@@ -10,4 +10,6 @@
 import anuga
 from anuga import Domain as Domain
+from anuga import myid, finalize, distribute
+from anuga import g
 from math import cos
 from numpy import zeros, ones, array
@@ -25,11 +27,9 @@
 output_file = 'MacDonald'
 
-#anuga.copy_code_files(output_dir,__file__)
-#start_screen_catcher(output_dir+'_')
+args = anuga.get_args()
+alg = args.alg
+verbose = args.verbose
 
 
-#------------------------------------------------------------------------------
-# Setup domain
-#------------------------------------------------------------------------------
 dx = 0.25
 dy = dx
@@ -37,26 +37,5 @@
 W = 3*dx
 
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, 0.0))
 
-#domain = anuga.Domain(points, vertices, boundary) 
-domain = Domain(points, vertices, boundary) 
-
-domain.set_name(output_file)                
-domain.set_datadir(output_dir) 
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-from anuga import g
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-#domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
 L     = 100.  # Channel length
 q = q_s = 2.    # Steady discharge
@@ -96,8 +75,36 @@
     return elevation
 
-domain.set_quantity('stage', 2.87870797)
-domain.set_quantity('elevation', bed)
-domain.set_quantity('friction', n)
 
+#------------------------------------------------------------------------------
+# Setup sequential domain
+#------------------------------------------------------------------------------
+if myid == 0:
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.0, 0.0))
+    
+    #domain = anuga.Domain(points, vertices, boundary) 
+    domain = Domain(points, vertices, boundary) 
+    
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir) 
+    
+    domain.set_flow_algorithm(alg)
+
+    
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+    
+    domain.set_quantity('stage', 2.87870797)
+    domain.set_quantity('elevation', bed)
+    domain.set_quantity('friction', n)
+else:
+    
+    domain = None
+    
+#--------------------------------------------------------------------
+# Parallel Domain
+#--------------------------------------------------------------------
+domain = distribute(domain)
 
 #-----------------------------------------------------------------------------
@@ -114,11 +121,4 @@
 
 
-#===============================================================================
-##from anuga.visualiser import RealtimeVisualiser
-##vis = RealtimeVisualiser(domain)
-##vis.render_quantity_height("stage", zScale =h0*500, dynamic=True)
-##vis.colour_height_quantity('stage', (0.0, 0.5, 1.0))
-##vis.start()
-#===============================================================================
 
 
@@ -126,10 +126,11 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -138,10 +139,10 @@
 for t in domain.evolve(yieldstep = 1.0, finaltime = 100.):
     #print domain.timestepping_statistics(track_speeds=True)
-    print domain.timestepping_statistics()
+    if myid == 0: print domain.timestepping_statistics()
     #vis.update()
 
 
-#test against know data
-    
-#vis.evolveFinished()
+domain.sww_merge(delete_old=True)
 
+finalize()
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/produce_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/mac_donald_short_channel/produce_results.py	(revision 9174)
@@ -2,19 +2,9 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
+args = anuga.get_args()
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_MacDonald.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+produce_report('numerical_MacDonald.py', args=args)
 
-def clean():
-    autoclean()
-
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/parabolic_basin/numerical_parabolic_basin.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/parabolic_basin/numerical_parabolic_basin.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/parabolic_basin/numerical_parabolic_basin.py	(revision 9174)
@@ -25,5 +25,5 @@
 args = anuga.get_args()
 alg = args.alg
-verbose = args.v
+verbose = args.verbose
 
 m = 200
Index: /trunk/anuga_core/validation_tests/analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py	(revision 9174)
@@ -34,5 +34,5 @@
 args = anuga.get_args()
 alg = args.alg
-verbose = args.v
+verbose = args.verbose
 
 #-------------------------------------------------------------------------------
Index: /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/numerical_varying_width.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/numerical_varying_width.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/numerical_varying_width.py	(revision 9174)
@@ -10,4 +10,5 @@
 import sys
 import anuga
+from anuga import myid, finalize, distribute
 from anuga import Domain as Domain
 from math import cos
@@ -33,4 +34,7 @@
 #start_screen_catcher(output_dir+'_')
 
+args = anuga.get_args()
+alg = args.alg
+verbose = args.verbose
 
 #------------------------------------------------------------------------------
@@ -42,48 +46,62 @@
 W = 60.
 
-# structured mesh
-points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.,-W/2.))
 
-#domain = anuga.Domain(points, vertices, boundary) 
-domain = Domain(points, vertices, boundary) 
+#===============================================================================
+# Create sequential domain
+#===============================================================================
+if myid == 0:
+    # structured mesh
+    points, vertices, boundary = anuga.rectangular_cross(int(L/dx), int(W/dy), L, W, (0.,-W/2.))
+    
+    #domain = anuga.Domain(points, vertices, boundary) 
+    domain = Domain(points, vertices, boundary) 
+    
+    domain.set_name(output_file)                
+    domain.set_datadir(output_dir) 
+    
+    #------------------------------------------------------------------------------
+    # Setup Algorithm, either using command line arguments
+    # or override manually yourself
+    #------------------------------------------------------------------------------
+    from anuga.utilities.argparsing import parse_standard_args
+    alg, cfl = parse_standard_args()
+    domain.set_flow_algorithm(alg)
+    #domain.set_CFL(cfl)
+    
+    #------------------------------------------------------------------------------
+    # Setup initial conditions
+    #------------------------------------------------------------------------------
+    domain.set_quantity('friction', 0.0)
+    domain.set_quantity('stage', 12.0)
+    XX = array([0.,50.,100.,150.,250.,300.,350.,400.,425.,435.,450.,470.,475.,500.,
+                505.,530.,550.,565.,575.,600.,650.,700.,750.,800.,820.,900.,950.,
+                1000.,1500.])
+    ZZ = array([0.,0.,2.5,5.,5.,3.,5.,5.,7.5,8.,9.,9.,9.,9.1,9.,9.,6.,5.5,5.5,5.,
+                4.,3.,3.,2.3,2.,1.2,0.4,0.,0.])
+    WW = array([40.,40.,30.,30.,30.,30.,25.,25.,30.,35.,35.,40.,40.,40.,45.,45.,50.,
+                45.,40.,40.,30.,40.,40.,5.,40.,35.,25.,40.,40.])/2.
+    
+    
+    depth = interp1d(XX, ZZ)
+    width = interp1d(XX, WW)
+    
+    def bed_elevation(x,y):
+        z = 25.0*ones_like(x)
+        wid = width(x)
+        dep = depth(x)
+        z = where( logical_and(y < wid, y>-wid), dep, z)
+        return z
+    
+    domain.set_quantity('elevation', bed_elevation)
+    
+else:
+    
+    domain = None
+    
 
-domain.set_name(output_file)                
-domain.set_datadir(output_dir) 
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-#domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
-domain.set_quantity('friction', 0.0)
-domain.set_quantity('stage', 12.0)
-XX = array([0.,50.,100.,150.,250.,300.,350.,400.,425.,435.,450.,470.,475.,500.,
-            505.,530.,550.,565.,575.,600.,650.,700.,750.,800.,820.,900.,950.,
-            1000.,1500.])
-ZZ = array([0.,0.,2.5,5.,5.,3.,5.,5.,7.5,8.,9.,9.,9.,9.1,9.,9.,6.,5.5,5.5,5.,
-            4.,3.,3.,2.3,2.,1.2,0.4,0.,0.])
-WW = array([40.,40.,30.,30.,30.,30.,25.,25.,30.,35.,35.,40.,40.,40.,45.,45.,50.,
-            45.,40.,40.,30.,40.,40.,5.,40.,35.,25.,40.,40.])/2.
-
-
-depth = interp1d(XX, ZZ)
-width = interp1d(XX, WW)
-
-def bed_elevation(x,y):
-    z = 25.0*ones_like(x)
-    wid = width(x)
-    dep = depth(x)
-    z = where( logical_and(y < wid, y>-wid), dep, z)
-    return z
-
-domain.set_quantity('elevation', bed_elevation)
-
+#===========================================================================
+# Create Parallel domain
+#===========================================================================
+domain = distribute(domain)
 
 #-----------------------------------------------------------------------------
@@ -99,51 +117,29 @@
 
 
-#===============================================================================
-##from anuga.visualiser import RealtimeVisualiser
-##vis = RealtimeVisualiser(domain)
-##vis.render_quantity_height("stage", zScale =h0*500, dynamic=True)
-##vis.colour_height_quantity('stage', (0.0, 0.5, 1.0))
-##vis.start()
-#===============================================================================
-
-
-#---------------------------------------------
-# Find triangle that contains the point Point
-# and print to file
-#---------------------------------------------
-##Point = (0.0, 0.0)
-##for n in range(len(domain.triangles)):
-##    tri = domain.get_vertex_coordinates(n)
-##    if is_inside_triangle(Point,tri):
-##        #print 'Point is within triangle with vertices '+'%s'%tri
-##        n_point = n
-##        break
-##print 'n_point = ',n_point
-##bla
-
-
-
-
 #------------------------------------------------------------------------------
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+    parameter_file=open('parameters.tex', 'w')
+    parameter_file.write('\\begin{verbatim}\n')
+    from pprint import pprint
+    pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+    parameter_file.write('\\end{verbatim}\n')
+    parameter_file.close()
 
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
+import time
+t0 = time.time()
 for t in domain.evolve(yieldstep = 0.1, finaltime = 5.0):
     #print domain.timestepping_statistics(track_speeds=True)
-    print domain.timestepping_statistics()
+    if myid == 0 and verbose: print domain.timestepping_statistics()
     #vis.update()
 
+if myid == 0 and verbose : print 'That took %s sec' % str(time.time()-t0)
+domain.sww_merge(delete_old=True)
 
-#test against know data
-    
-#vis.evolveFinished()
+finalize()
 
+
Index: /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/plot_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/plot_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/plot_results.py	(revision 9174)
@@ -27,4 +27,5 @@
 pyplot.ylabel('Stage')
 pyplot.xlim([0,1500])
+pyplot.ylim([0,25])
 pyplot.savefig('stage_plot.png')
 
@@ -52,2 +53,51 @@
 pyplot.xlim([0,1500])
 pyplot.savefig('xvel_plot.png')
+
+
+
+
+# Sweep in y direction
+
+v = p2_st.x[116]
+v2=(p2_st.x==v)
+
+
+#p_dev = util.get_output('dam_break.sww', 0.001)
+#p2_dev=util.get_centroids(p_dev, velocity_extrapolation=True)
+
+#Plot stages
+pyplot.clf()
+pyplot.plot(p2_st.y[v2], p2_st.stage[-1,v2],'b.', label='numerical stage')
+pyplot.plot(p2_st.y[v2], 12.*ones_like(p2_st.x[v2]),'r--', label='analytical stage')
+pyplot.plot(p2_st.y[v2], p2_st.elev[v2],'k-', label='discretised bed')
+pyplot.title('Stage at an instant in time')
+pyplot.legend(loc='best')
+pyplot.xlabel('Yposition')
+pyplot.ylabel('Stage')
+pyplot.xlim([-30,30])
+pyplot.ylim([-1,26])
+pyplot.savefig('stage_plot_y.png')
+
+
+#Plot xmomentum
+pyplot.clf()
+pyplot.plot(p2_st.y[v2], p2_st.xmom[-1,v2], 'b.', label='numerical')
+pyplot.plot(p2_st.y[v2], zeros(len(p2_st.x[v2])),'r-', label='analytical')
+pyplot.title('Xmomentum at an instant in time')
+pyplot.legend(loc='best')
+pyplot.xlabel('Yposition')
+pyplot.ylabel('Xmomentum')
+pyplot.xlim([-30,30])
+pyplot.savefig('xmom_plot_y.png')
+
+
+#Plot velocities
+pyplot.clf()
+pyplot.plot(p2_st.y[v2], p2_st.xvel[-1,v2], 'b.', label='numerical')
+pyplot.plot(p2_st.y[v2], zeros(len(p2_st.x[v2])),'r-', label='analytical')
+pyplot.title('Xvelocity at an instant in time')
+pyplot.legend(loc='best')
+pyplot.xlabel('Yposition')
+pyplot.ylabel('Xvelocity')
+pyplot.xlim([-30,30])
+pyplot.savefig('xvel_plot_y.png')
Index: /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/river_at_rest_varying_topo_width/produce_results.py	(revision 9174)
@@ -2,19 +2,9 @@
 # import modules
 #--------------------------------
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
+args = anuga.get_args()
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_varying_width.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+produce_report('numerical_varying_width.py', args=args)
 
-def clean():
-    autoclean()
-
-main()
-
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/numerical_rundown_channel.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/numerical_rundown_channel.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/numerical_rundown_channel.py	(revision 9174)
@@ -12,43 +12,56 @@
 from anuga.structures.inlet_operator import Inlet_operator
 from anuga import Domain
+from anuga import myid, finalize, distribute
 
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-points, vertices, boundary = rectangular_cross(50, 50, len1=100.0, len2=100.0)
-domain = Domain(points, vertices, boundary) # Create domain
-domain.set_name('channel') # Output name
-
-#------------------------------------------------------------------------------
-# Setup Algorithm, either using command line arguments
-# or override manually yourself
-#------------------------------------------------------------------------------
-from anuga.utilities.argparsing import parse_standard_args
-alg, cfl = parse_standard_args()
-domain.set_flow_algorithm(alg)
-#domain.set_CFL(cfl)
-
-#------------------------------------------------------------------------------
-# Setup initial conditions
-#------------------------------------------------------------------------------
+#===============================================================================
+# Setup flow conditions
+#===============================================================================
 Qin=20.
 fluxin=Qin/100. #The momentum flux at the upstream boundary ( = discharge / width)
 uana= 2.15843634571 # analytical Xvelocity
 dana= 0.0926596702273 # analytical water depth
+slope = -0.1
+mannings = 0.03
 
-def topography(x, y):
-	return -x/10. # linear bed slope
+args = anuga.get_args()
+alg = args.alg
+verbose = args.verbose
 
-def init_stage(x,y):
-    stg= -x/10.+0.01 # Constant depth: 1 cm.
-    return stg
-#line0=[ [0.,0.], [0., 100.] ]
-#Uin=[uana, 0.0]
-#Inlet_operator(domain, line0, Q=Qin, velocity=Uin)
+#------------------------------------------------------------------------------
+# Setup sequential computational domain
+#------------------------------------------------------------------------------
+if myid == 0:
+	points, vertices, boundary = rectangular_cross(50, 50, len1=100.0, len2=100.0)
+	domain = Domain(points, vertices, boundary) # Create domain
+	domain.set_name('channel') # Output name
 
-domain.set_quantity('elevation', topography) # Use function for elevation
-domain.set_quantity('friction', 0.03) # Constant friction
-domain.set_quantity('stage', init_stage)
+	domain.set_flow_algorithm(alg)
+	domain.set_store_centroids(True)
+	
+	#------------------------------------------------------------------------------
+	# Setup initial conditions
+	#------------------------------------------------------------------------------
+	
+	def topography(x, y):
+		return x*slope # linear bed slope
+	
+	def init_stage(x,y):
+		stg= x*slope+0.01 # Constant depth: 1 cm.
+		return stg
+	
+	domain.set_quantity('elevation', topography) # Use function for elevation
+	domain.set_quantity('friction', mannings) # Constant friction
+	domain.set_quantity('stage', init_stage)
 
+else:
+	
+	domain = None
+
+#===============================================================================
+# Parallel Domain
+#===============================================================================
+domain = distribute(domain)
+
+#domain.set_store_centroids(True)
 #------------------------------------------------------------------------------
 # Setup boundary conditions
@@ -64,10 +77,11 @@
 # Produce a documentation of parameters
 #------------------------------------------------------------------------------
-parameter_file=open('parameters.tex', 'w')
-parameter_file.write('\\begin{verbatim}\n')
-from pprint import pprint
-pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
-parameter_file.write('\\end{verbatim}\n')
-parameter_file.close()
+if myid == 0:
+	parameter_file=open('parameters.tex', 'w')
+	parameter_file.write('\\begin{verbatim}\n')
+	from pprint import pprint
+	pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+	parameter_file.write('\\end{verbatim}\n')
+	parameter_file.close()
 
 #------------------------------------------------------------------------------
@@ -75,3 +89,8 @@
 #------------------------------------------------------------------------------
 for t in domain.evolve(yieldstep=2.0, finaltime=200.0):
-	print domain.timestepping_statistics()
+	if myid ==0 and verbose: print domain.timestepping_statistics()
+
+
+domain.sww_merge(delete_old=True)
+
+finalize()
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/plot_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/plot_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/plot_results.py	(revision 9174)
@@ -24,5 +24,5 @@
 #------------------
 #v=(y==2.5)
-v=(p2.y==p2.y[3])
+#v=(p2.y==p2.y[3])
 
 #-------------------------------
@@ -45,22 +45,23 @@
 # Make plot animation
 #--------------------
+# Find an y value close to y==50
+tmp=(abs(p2.y-50.)).argmin()
+#vx=(p2.y==p2.y[tmp])
+vx=(abs(p2.y - p2.y[tmp])<1.5)
+
 pyplot.clf()
+pyplot.plot(p2.x[vx],p2.stage[-1,vx]-p2.elev[vx], 'o', label='numerical')
+pyplot.plot((0,100),(dana,dana),label='analytical')
+pyplot.ylim([0.05,0.1])
+pyplot.xlabel('Xposition m')
+pyplot.ylabel('Depth m')
+pyplot.title('Depth down the slope (along y=50.)')
+pyplot.legend(loc='best')
+pyplot.savefig('depth_x.png')
 
-line, = pyplot.plot( (p2.x[v].min(),p2.x[v].max()) ,( (p2.stage[:,v]-p2.elev[v]).max(),(p2.stage[:,v]-p2.elev[v]).min() ) )
-line.set_label('numerical')
-pyplot.plot( (0,100),(dana,dana), 'r',label='analytical' )
-pyplot.legend()
-#pyplot.plot(x[v],elev[v],'green')
-for i in range(p2.xmom.shape[0]):
-    line.set_xdata(p2.x[v])
-    line.set_ydata(p2.stage[i,v]-p2.elev[v])
-    pyplot.draw()
-    pyplot.title('Flow depth: should be converging to steady uniform flow ' )
-    pyplot.xlabel('Xposition')
-    pyplot.ylabel('Depth')
-pyplot.ylim([0.085,0.095])
-pyplot.legend(loc='best')
-pyplot.title('Flow depth at 400s')# -- there should be a central region with steady uniform flow ' )
-pyplot.savefig('final_depth.png')
+
+
+
+
 
 #--------------------------------------------
@@ -69,8 +70,19 @@
 # Find an x value close to x==50
 tmp=(abs(p2.x-50.)).argmin()
-v=(p2.x==p2.x[tmp])
+v=(abs(p2.x - p2.x[tmp])<1.5)
 
 pyplot.clf()
-pyplot.plot(p2.y[v],p2.xvel[100,v], 'o', label='numerical')
+pyplot.plot(p2.y[v],p2.stage[-1,v]-p2.elev[v], 'o', label='numerical')
+pyplot.plot((0,100),(dana,dana),label='analytical')
+pyplot.ylim([0.05,0.1])
+pyplot.xlabel('Yposition m')
+pyplot.ylabel('Depth m')
+pyplot.title('Depth across the slope (x=50.)')
+pyplot.legend(loc='best')
+pyplot.savefig('depth_y.png')
+
+
+pyplot.clf()
+pyplot.plot(p2.y[v],p2.xvel[-1,v], 'o', label='numerical')
 pyplot.plot((0,100),(uana,uana),label='analytical')
 pyplot.ylim([1.0,3.0])
@@ -82,5 +94,5 @@
 
 pyplot.clf()
-pyplot.plot(p2.y[v],p2.yvel[100,v],'o', label='numerical')
+pyplot.plot(p2.y[v],p2.yvel[-1,v],'o', label='numerical')
 pyplot.plot((0,100),(0.0, 0.0),label='analytical')
 pyplot.xlabel('Yposition along the line x=50')
Index: /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/produce_results.py
===================================================================
--- /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/produce_results.py	(revision 9173)
+++ /trunk/anuga_core/validation_tests/analytical_exact/rundown_mild_slope/produce_results.py	(revision 9174)
@@ -3,21 +3,12 @@
 It was called "steep_slope" in an old validation test.
 """
-#--------------------------------
-# import modules
-#--------------------------------
 
-from anuga.validation_utilities.fabricate import *
-from anuga.validation_utilities import run_validation_script
-from anuga.validation_utilities import typeset_report
+import anuga
+from anuga.validation_utilities import produce_report
 
-# Setup the python scripts which produce the output for this
-# validation test
-def build():
-    run_validation_script('numerical_rundown_channel.py')
-    run_validation_script('plot_results.py')
-    typeset_report()
+args = anuga.get_args()
 
-def clean():
-    autoclean()
+produce_report('numerical_rundown_channel.py', args=args)
 
-main()
+
+
